package com.gic.haoban.manage.api.service;

import java.util.List;

import com.gic.haoban.manage.api.dto.ApplicationEnterpriseRelatedDTO;
import com.gic.haoban.manage.api.dto.ApplicationTemplateDTO;
import com.gic.haoban.manage.api.dto.TemplateEnterpriseRelatedDTO;

public interface ApplicationTemplateApiService {

	ApplicationTemplateDTO selectByTemplateName(String templateName);

	String insertTemplate(ApplicationTemplateDTO template,String applicationIds);

	List<TemplateEnterpriseRelatedDTO> listEnterpriseByTemplateId(String templateId);

	void delTemplate(String templateId);

	void editTemplate(String applicationTemplateId, String applicationTemplateName, String applicationIds);

	List<ApplicationTemplateDTO> listByTemplateName(String applicationTemplateName);

	void addTemplateEnterprise(String applicationTemplateId, String wxEnterpriseIds);

	void delTemplateEnterprise(String wxEnterpriseId);

	List<ApplicationEnterpriseRelatedDTO> listTemplateEnterprise(String applicationTemplateId, String wxEnterpriseName, String enterpriseName);

	void setDefaultTemplateEnterprise(String applicationTemplateId);

}
